package com.rest.consumer.controller;
import java.util.List;

import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.client.RestTemplate;
import org.springframework.web.servlet.ModelAndView;

import com.rest.consumer.models.DateWise;
import com.rest.consumer.models.StateWise;
import com.rest.consumer.models.whodata;


@Controller
public class ConsumerController {
RestTemplate restTemplate=new RestTemplate();


@RequestMapping("/indiadata")
public ModelAndView data()
{
      ModelAndView mv=new ModelAndView();
      mv.setViewName("indiadata");
      ResponseEntity<whodata> responseEntity = restTemplate.getForEntity("https://api.covid19india.org/data.json", whodata.class);
      whodata responseBody = responseEntity.getBody();
      List<DateWise> allPatient = responseBody.getCases_time_series();
     
      mv.addObject("myjson", allPatient);
      return mv;
}
@RequestMapping("/statedata")
public ModelAndView stateData()
{
      ModelAndView mv=new ModelAndView();
      mv.setViewName("statedata");
      ResponseEntity<whodata> responseEntity = restTemplate.getForEntity("https://api.covid19india.org/data.json", whodata.class);
      whodata responseBody = responseEntity.getBody();
      List<StateWise> allStates = responseBody.getStatewise();
     
      mv.addObject("myjson", allStates);
      return mv;
}
}
